#ifndef __INTERFACES_INTERRUPT_INTERFACE_H__
#define __INTERFACES_INTERRUPT_INTERFACE_H__

namespace pinetime::interfaces {

class InterruptHandlerInterface
{
    public:
        virtual void handle() = 0;
        virtual void enable() = 0;
        virtual void disable() = 0;
};

}

#endif
